@import "assets/mat-palette.scss";
@import "assets/colors.scss";

body {
  width: 92%;
  margin: auto;
  height: auto;
  font-family: "Titillium-Web", serif;
  padding-top: 2em;


  .banner {
    position: absolute;
    width: 100vw;
    height: 166px;
    left: 0;
    top: 80px;
    z-index: -9999;
    display: flex;
    justify-content: center;
    background: linear-gradient(270deg, #000f8e 25%, #a931f6 129.76%);
  }

  .loader{
    height: 100vh;
    justify-content: center;
    align-items: center;
    align-content: center;
    display: flex;


  }

  .banner-overlay {
    z-index: 99;
    height: 80%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    margin-top: 84px;
  }

  ::ng-deep .mat-form-field {
    .mat-input-element {
      color: white;
    }
    .mat-form-field-wrapper {
      padding-bottom: 1.6em;
    }
    .mat-form-field-label {
      color: white;
    }
    .mat-form-field-infix {
      display: flex;
    }
    .mat-form-field-underline {
      background-color: white;
    }
    .mat-form-field-ripple {
      background-color: white;
    }
    .mat-form-field-required-marker {
      color: white;
    }
    .mat-form-field-label-wrapper {
      margin-left: 30px;
      font-family: "Titillium Web", serif;
      font-style: normal;
      font-weight: 400;
      font-size: 16px;
      line-height: 125%;
      color: #ffffff;
      opacity: 0.5;
    }
  }

  ::ng-deep .mat-form-field.mat-focused {
    .mat-form-field-label {
      color: white;
    }
    .mat-form-field-ripple {
      background-color: white;
    }
    .mat-form-field-required-marker {
      color: white;
    }
    .mat-input-element {
      color: white;
    }
  }

  .service-desc-button {
    margin-left: 30px;
    margin-bottom: 5px;
    margin-right: 0;
    font-family: "Titillium Web", serif;
    font-style: normal;
    font-weight: 600;
    font-size: 16px;
    text-align: center;
    color: #000f8e;
  }

  .title-icon {
    color: white;
  }

  .service-table {
    margin: 2em;
  }

  table {
    width: 100%;
    > .td {
      min-height: 75px;
    }
  }

  .table-wrapper {
    margin-top: 30px;
  }

  .button-wrapper {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1em 0 1em 0;
  }

  .actions-column {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  ::ng-deep .mat-header-cell {
    // font-family: "Titillium Web", serif;
    font-style: normal;
    font-weight: 600;
    font-size: 16px;
    line-height: 125%;
    color: #000f8e;
  }

  .action-button {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 12px 16px;
    gap: 8px;
    margin-left: 0px !important;

    width: 150px;
    height: 42px;

    border: 1px solid #000f8e;
    border-radius: 3px;
    color: #000f8e;
    font-size: 14px;

    flex: none;
    order: 1;
    align-self: stretch;
    flex-grow: 0;
    z-index: 1;
  }

  .action-buttons-variable {
    display: flex;
    align-items: center;
  }

  a {
    width: 54px;
    height: 18px;

    font-family: "Titillium Web", serif;
    font-style: normal;
    font-weight: 600;
    font-size: 14px;
    line-height: 125%;
    /* identical to box height, or 18px */

    text-align: right;
    text-decoration-line: underline;

    /* Primary/Gaia-X blue */

    color: #000f8e;
  }

  .action-published {
    height: 18px;
    display: flex;
    align-items: center;
    margin: 0;
    /* Subtitle/Subtitle S */

    font-family: "Titillium Web", serif;
    font-style: normal;
    font-weight: 600;
    font-size: 14px;
    line-height: 125%;
    /* identical to box height, or 18px */

    text-align: center;

    /* Primary/Gaia-X blue */

    color: #000f8e;
  }

  ::ng-deep .filter {
    width: 323px;
    height: 23px;
  }

  .search-icon {
    color: white;
    margin-right: 9px;
  }

  ::ng-deep .action-icon {
    font-weight: 100 !important;
    margin: auto;
  }

  .action-button-half {
    width: 125px;
  }

  .title {

    height: 35px;
    margin-bottom: 0;
    font-family: "Titillium Web", serif;
    font-style: normal;
    font-weight: 700;
    font-size: 28px;
    line-height: 125%;
    margin-left: 10px;
    color: #ffffff;
    flex: none;
    order: 1;
    flex-grow: 0;
  }


  .title2{

    height: 35px;
    margin-bottom: 0;
    font-family: "Titillium Web", serif;
    font-style: normal;
    font-weight: 200;
    font-size: 10px;
    line-height: 125%;
    margin-left: 10px;
    color: #73bfe5;
    flex: none;
    order: 1;
    flex-grow: 0;
  }

  .hypertext {
    color: $primary;
    font-weight: 600;
    font-size: 14px;
    line-height: 17.5px;
  }

  .hypertext-disabled {
    color: rgb(122, 122, 122);
    font-weight: 600;
    font-size: 14px;
    line-height: 17.5px;
    pointer-events: none;
  }

  .date-cell {
    > p {
      margin: 0;
      font-family: "Titillium Web", serif;
      font-style: normal;
      font-weight: 400;
      font-size: 14px;
      line-height: 125%;
      color: #000f8e;
    }
  }

  .country-name {
    display: block;
    font-family: "Titillium Web", serif;
    font-style: normal;
    font-weight: 600;
    font-size: 14px;
    line-height: 125%;
    color: #000f8e;
    text-overflow: ellipsis;
  }

  .small-light {
    width: 134px;
    height: 18px;
    font-family: "Titillium Web", serif;
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 125%;
    color: #565655;
  }

  .country-cell {
    display: flex;
  }

  .status-label {
    font-family: "Titillium Web", serif;
    font-style: normal;
    font-weight: 600;
    font-size: 12px;
    line-height: 115%;
    background-color: lightgray;
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 6px 9px;
    gap: 8px;
    width: fit-content;
    border-radius: 10px;
    > .circle {
      width: 8px;
      height: 8px;
      border-radius: 4px;
    }
  }

  .status-compliant {
    color: #ed6508;
    background-color: #fff4ec;
    > .circle {
      background-color: #ed6508;
    }
  }

  .status-draft {
    background-color: #feeff4;
    color: #cf2a61;
    > .circle {
      background-color: #cf2a61;
    }
  }

  .status-ready {
    background-color: #d3d9ff;
    color: #000f8e;
    > .circle {
      background-color: #000f8e;
    }
  }

  .status-published-label {
    background-color: #daf1e4;
    color: #0b7c29;
    > .circle {
      background-color: #0b7c29;
    }
  }

  .status-published-nolabel {
    color: #0b757c;
    background-color: #d6f9f7;
    > .circle {
      background-color: #0b757c;
    }
  }

  .more-menu-item {
    width: 228px;
  }

  .label-wrapper {
    display: flex;
    > .gaia-label {
      height: 20px;
      margin-bottom: 0;
      font-family: "Titillium Web", serif;
      font-style: normal;
      font-weight: 600;
      font-size: 16px;
      line-height: 125%;
      color: #a931f6;
    }
  }
}

.service-cell {
  width: 92px;
  height: 20px;

  font-family: "Titillium Web", serif;
  font-style: normal;
  font-weight: 600;
  font-size: 16px;
  line-height: 125%;

  color: #000f8e;
}

// ::ng-deep .mat-sort-header-content {
//   height: 20px;

//   font-family: "Titillium Web", serif;
//   font-style: normal;
//   font-weight: 600;
//   font-size: 16px;
//   line-height: 125%;
//   color: #000f8e;
// }

::ng-deep .actions-header {
  height: 20px;

  font-family: "Titillium Web", serif;
  font-style: normal;
  font-weight: 600;
  font-size: 16px;
  line-height: 125%;
  color: #000f8e;
}

::ng-deep .status-col {
  width: 13% !important;
}

::ng-deep .localization-col {
  width: 10% !important;
}

::ng-deep .service-name-col {
  width: 15% !important;
}

::ng-deep .modification-col {
  width: auto !important;
}

::ng-deep .step-col {
  width: auto !important;
}

::ng-deep td {
  height: 75px;
}

// display: flex;
//     justify-content: space-between;
//     align-items: center;
// }


//Off canvas

.example-container {
  width: 100%;
  height: 100%;
  //border: 1px solid rgba(0, 0, 0, 0.5);
}

.example-sidenav-content {
  display: flex;
  height: 100%;
  align-items: center;
  justify-content: center;
}

.example-sidenav {
  position: absolute;
  top: 0;
  right: 0;
  //padding: 20px;
  width: 35%;
  //padding-top: 80px;
  z-index: 9999;
}

::ng-deep .mat-drawer{
  overflow-x: hidden;
  //padding: 0;
}

::ng-deep .mat-drawer-container {
  z-index: 9999 !important;
  position: inherit !important;
  overflow: hidden !important;
}

::ng-deep .mat-drawer-content {
  overflow-x: hidden !important;
}

::ng-deep .mat-drawer-backdrop {
  z-index: 9999 !important;
}

::ng-deep .mat-drawer-inner-container {
  overflow-x: hidden !important;
}


@keyframes spinner {
  to {
    transform: rotate(360deg);
  }
}

.spinner:before {
  content: "";
  box-sizing: border-box ;
  position: absolute ;
  top: 50% ;
  left: 50%;
  width: 20px ;
  height: 20px ;
  margin-top: -10px ;
  margin-left: -10px ;
  border-radius: 50% ;
  border: 2px solid white;
  border-top-color: black;
  animation: spinner 0.8s linear infinite;
}
